Clutter::ActorMeta Class Reference
Inheritance diagram for Clutter::ActorMeta:
[legend]
Collaboration diagram for Clutter::ActorMeta:
[legend]

List of all members.

## Public Member Functions

virtual | ~ActorMeta ()
ClutterActorMeta* | gobj ()
| Provides access to the underlying C GObject.
const ClutterActorMeta* | gobj () const
| Provides access to the underlying C GObject.
ClutterActorMeta* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_name (const Glib::ustring& name)
Glib::ustring | get_name () const
void | set_enabled (bool is_enabled=true)
bool | get_enabled () const
Glib::RefPtr< Actor > | get_actor ()
Glib::RefPtr< const Actor > | get_actor () const

## Protected Member Functions

| ActorMeta ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::ActorMeta > | wrap (ClutterActorMeta* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::ActorMeta::~ActorMeta | ( |  | ) | `[virtual]`

Clutter::ActorMeta::ActorMeta | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Actor> Clutter::ActorMeta::get_actor | ( |  | ) |

Glib::RefPtr<const Actor> Clutter::ActorMeta::get_actor | ( |  | ) | const

bool Clutter::ActorMeta::get_enabled | ( |  | ) | const

Glib::ustring Clutter::ActorMeta::get_name | ( |  | ) | const

ClutterActorMeta* Clutter::ActorMeta::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented in Clutter::Action, and Clutter::Effect.

const ClutterActorMeta* Clutter::ActorMeta::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented in Clutter::Action, and Clutter::Effect.

ClutterActorMeta* Clutter::ActorMeta::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Clutter::Action, and Clutter::Effect.

void Clutter::ActorMeta::set_enabled | ( | bool | is_enabled = `true` | ) |

void Clutter::ActorMeta::set_name | ( | const Glib::ustring & | name | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::ActorMeta > wrap | ( | ClutterActorMeta * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/actor-meta.h